<!DOCTYPE html>
<html lang="en">
<head>
    <script type="text/javascript" src="js/session_datos.js"></script>
    <script type="text/javascript" src="js/manejopagina.js"></script>
    <script type="text/javascript" src="js/funciones.js"></script>
    <script>
        var titulo = "Factura";
    </script>
    <!--<meta charset="utf-8">-->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name="description" content="Bootstrap Admin Template">
    <meta name="keywords" content="app, responsive, jquery, bootstrap, dashboard, admin">
    <title>Factura</title>
    <!-- Vendor styles-->
    <!-- Animate.CSS-->
    <link rel="stylesheet" href="vendor/animate.css/animate.css">
    <!-- Bootstrap-->
    <link rel="stylesheet" href="vendor/bootstrap/dist/css/bootstrap.min.css">
    <!-- Ionicons-->
    <link rel="stylesheet" href="vendor/ionicons/css/ionicons.css">
    <!-- Material Colors-->
    <link rel="stylesheet" href="vendor/material-colors/dist/colors.css">
    <!-- Datepicker-->
    <link rel="stylesheet" href="vendor/bootstrap-datepicker/dist/css/bootstrap-datepicker3.css">
    <!-- Select2-->
    <link rel="stylesheet" href="vendor/select2/dist/css/select2.css">
    <!-- Bootgrid-->
    <link rel="stylesheet" href="vendor/jquery.bootgrid/dist/jquery.bootgrid.css">
    <!-- Sweet Alert-->
    <link rel="stylesheet" href="vendor/sweetalert/dist/sweetalert.css">
    <!-- TOASTR-->
    <link rel="stylesheet" href="vendor/toastr/toastr.min.css">
    <!-- Xeditable-->
    <link rel="stylesheet" href="vendor/bootstrap3-editable/css/bootstrap-editable.css">
    <!-- Application styles-->
    <link rel="stylesheet" href="css/app.css">
    <!-- Custom styles-->
    <link rel="stylesheet" href="css/custom.css">
    <!-- Solo para el Gif de Carga -->
    <link href="css/loading.css" rel="stylesheet" type="text/css">
</head>
<body class="theme-6 footer-fixed">
<!-- Solo para el Gif de Carga -->
<div class="modal1"></div>
<!-- Fin Gif de Carga -->

<div class="layout-container">
    <!-- top navbar-->
    <header class="header-container">
        <nav>
            <ul class="d-lg-none">
                <li><a class="sidebar-toggler menu-link menu-link-close" href="#"><span><em></em></span></a></li>
            </ul>
            <ul class="d-none d-sm-block">
                <li><a class="covermode-toggler menu-link menu-link-close" href="#"><span><em></em></span></a></li>
            </ul>
            <h2 class="header-title">
                <script>document.write(titulo);</script>
            </h2>
            <script type="text/javascript" src="js/menu_usuario.js"></script>
        </nav>
    </header>

    <!-- sidebar-->
    <aside class="sidebar-container">
        <div class="brand-header">
            <div class="float-left pt-4 text-muted sidebar-close"><em class="ion-arrow-left-c icon-lg"></em></div>
            <a class="brand-header-logo" href="index.html">
                <!-- Logo Imageimg(src="img/logo.png", alt="logo")
                --><span class="brand-header-logo-text"><script>document.write(compania);</script></span></a>
        </div>
        <div class="sidebar-content">
            <div class="sidebar-toolbar">
                <div class="sidebar-toolbar-background"></div>
                <div class="sidebar-toolbar-content text-center">
                    <a href="#">
                        <img class="rounded-circle thumb64 user_image">
                    </a>
                    <div class="mt-3">
                        <div class="lead user_fullname"></div>
                        <div class="text-thin user_email"></div>
                    </div>
                </div>
            </div>
            <nav class="sidebar-nav">
                <ul>
                    <script type="text/javascript" src="js/menu.js"></script>
                </ul>
            </nav>
        </div>
    </aside>

    <div class="sidebar-layout-obfuscator"></div>

    <!-- Main section-->
    <main class="main-container">
        <!-- Page content-->
        <section class="section-container">
            <div class="container-fluid">
                <div class="cardbox h-scroll">
                    <div class="cardbox-body h-scroll">
                        <div class="form-group row">
                            <!-- <label class="col-lg-2 col-form-label">Sucursal</label> -->
                            <div class="col">
                                <select id="select2-1" name="sucursal" class="form-control">
                                    <option value=""> Cargando ...</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="cardbox">
                    <div class="cardbox-body h-scroll">
                        <form id="formulario-compras" action="">
                            <input type="hidden" id="operacion" name="operacion">
                            <input type="hidden" id="tipo_factura" name="tipo_factura">

                            <!-- CABECERA DE LA FACTURA -->
                            <div class="row">
                                <div class="col-md-8 col-lg-8">
                                    <div class="form-group row">
                                        <label class="col col-md-3 col-lg-3">Numero</label>
                                        <div class="col col-md-6 col-lg-6">
                                            <div class="input-group">
                                                <input readonly="true" class="form-control" type="text" id="numfac" name="numfac" required>
                                                <span class="input-group-btn">
                                                    <button class="btn btn-outline-primary" type="button" id="btn-facturas">
                                                        <em class="ion-search"></em>
                                                    </button>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group row">
                                        <label class="col col-md-4 col-lg-4">Ejercicio</label>
                                        <div class="col col-md-8 col-lg-8">
                                            <select id="ejefac" name="ejefac" class="col custom-select">
                                                <option value=""> Cargando ...</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-8 col-lg-8">
                                    <div class="form-group row">
                                        <label class="col col-md-3 col-lg-3">Concepto</label>
                                        <div class="col col-md-6 col-lg-6">
                                            <select id="select2-idconcepto" name="idconcepto" class="col custom-select">
                                                <option value=""> Cargando ...</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group row">
                                        <label class="col col-md-4 col-lg-4">Fecha</label>
                                        <div class="col col-md-8 col-lg-8 rel-wrapper ui-datepicker ui-datepicker-popup dp-theme-danger" id="fecfac-datepicker-container">
                                            <input class="form-control required" readonly="true" type="text" id="fecfac" name="fecfac" required>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-8 col-lg-8">
                                    <div class="form-group row">
                                        <label class="col col-md-3 col-lg-3">Proveedor</label>
                                        <div class="col col-md-6 col-lg-6">
                                            <select id="select2-codpro" name="codpro" class="col custom-select">
                                                <option value=""> Cargando ...</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group row">
                                        <label class="col col-md-4 col-lg-4">Factura #</label>
                                        <div class="col col-md-8 col-lg-8">
                                            <input id="numalb" name="numalb" class="form-control" type="text" maxlength="20">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <!-- BOTON AGREGAR LINEA -->
                            <div class="row">
                                <div class="col">
                                    <div class="text-right">
                                        <button id="btnAgregarLinea" class="mb-3 btn btn-primary" type="button"
                                                data-toggle="modal" data-target="#modal_servicios">
                                            Agregar
                                        </button>
                                    </div>
                                </div>
                            </div>

                            <!-- TABLA DE LINEAS DE LA FACTURA -->
                            <div class="table-responsive">
                                <table id="factura_lineas" class="table table-bordered table-sm">
                                    <thead class="thead-inverse">
                                    <tr>
                                        <th class="text-center">Cant.</th>
                                        <th>Descripcion</th>
                                        <th class="text-right">Coste</th>
                                        <th class="text-right d-none d-md-table-cell">% Descuento</th>
                                        <th class="text-right">SubTotal</th>
                                        <th class="text-right d-none d-md-table-cell">% Imp.</th>
                                        <th class="text-center">Acciones</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>

                            <!-- TOTALES DE LA FACTURA -->
                            <div class="row">
                                <div class="col-lg-6" style="padding-right: 0px;">
                                    <textarea id="obsfac" class="col-lg-12" style="height: 100%" placeholder="Observaciones"></textarea>
                                </div>
                                <div class="col-lg-1 col-xl-3"></div>
                                <div class="col-lg-5 col-xl-3 text-right">
                                    <p class="clearfix">
                                        <strong class="float-left">Base Imponible:</strong>
                                        <span id="base_imponible_format" class="float-right">0,00</span>
                                    </p>
                                    <p class="clearfix">
                                        <strong class="float-left">Impuesto:</strong>
                                        <span id="impuesto_format" class="float-right">0,00</span>
                                    </p>
                                    <hr>
                                    <strong class="float-left">TOTAL:</strong>
                                    <h3 id="total_format" class="m-0 text-right">0,00</h3>
                                    <input id="total" type="hidden" value="0">
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </section>

        <!-- Page footer-->
        <footer class="footer-container">
            <div class="d-flex justify-content-between fh">
                <a id="btnNuevaFactura" class="footer-icon footer-icon-lg" href="#">
                    <em class="ion-document"></em><span>NUEVO</span>
                </a>
                <a id="btnCancelarFactura" class="footer-icon footer-icon-lg" href="#">
                    <em class="ion-refresh"></em><span>CANCELAR</span>
                </a>
                <a id="btnEliminarFactura" class="footer-icon footer-icon-lg" href="#">
                    <em class="ion-trash-b"></em><span>ELIMINAR</span>
                </a>
                <a id="btnGuardarFactura" class="footer-icon footer-icon-lg" href="#">
                    <em class="ion-folder"></em><span>GUARDAR</span>
                </a>
            </div>
        </footer>
    </main>
</div>

<!-- MODAL DE FACTURAS -->
<div class="col">
    <div id="modal_facturas" class="modal fade demo-modal-lg">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="mt-0 modal-title">Facturas</h5>
                    <button class="close" type="button" data-dismiss="modal"
                            aria-label="Close"><span>&times;</span></button>
                </div>
                <div class="modal-body">
                    <div class="form-group row">
                        <div class="col">
                            <select id="meses" name="meses" class="col custom-select">
                                <option value="0">Ultimo mes</option>
                                <option value="1">Ultimos 2 meses</option>
                                <option value="2">Ultimos 3 meses</option>
                                <option value="5">Ultimos 6 meses</option>
                                <option value="all">Todo el año</option>
                            </select>
                        </div>
                    </div>
                    <div class="table-responsive bootgrid">
                        <table class="table table-striped  table-condensed table-hover" data-search='true'
                               id="bootgrid-facturas">
                            <thead>
                            <tr>
                                <th data-column-id="facproc_key"
                                    data-header-align="center" data-align="center"
                                    data-identifier="true"
                                    data-visible="false">Ejercicio+Serie+Numero
                                </th>
                                <th data-column-id="facproc_numfac"
                                    data-header-align="center" data-align="center">Numero
                                </th>
                                <th data-column-id="facproc_ejefac"
                                    data-header-align="center" data-align="center">Ejercicio
                                </th>
                                <th data-column-id="facproc_concepto"
                                    data-header-align="center" data-align="center">Concepto
                                </th>
                                <th data-column-id="facproc_fecfac"
                                    data-header-align="center" data-align="center">Fecha
                                </th>
                                <th data-column-id="facproc_codpro"
                                    data-header-align="center" data-align="left">Proveedor
                                </th>
                                <th data-column-id="facproc_totfacp"
                                    data-header-align="center" data-align="right">Total
                                </th>
                                <th data-column-id="facproc_numalb"
                                    data-header-align="center" data-align="left">Factura #
                                </th>
                                <th data-column-id="facproc_data"
                                    data-header-align="center" data-align="left"
                                    data-visible="false">Data
                                </th>
                            </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- MODAL DE ARTICULOS -->
<div class="col">
    <div id="modal_articulos" class="modal fade demo-modal-lg">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="mt-0 modal-title">Articulos</h5>
                    <button class="close" type="button" data-dismiss="modal"
                            aria-label="Close"><span>&times;</span></button>
                </div>
                <div class="modal-body">
                    <div class="table-responsive bootgrid">
                        <table class="table table-striped  table-condensed table-hover" data-search='true'
                               id="bootgrid-articulos">
                            <thead>
                            <tr>
                                <th data-column-id="codart"
                                    data-header-align="center" data-align="center"
                                    data-identifier="true">Codigo
                                </th>
                                <th data-column-id="desart"
                                    data-header-align="center" data-align="center">Descripcion
                                </th>
                                <th data-column-id="data"
                                    data-header-align="center" data-align="center"
                                    data-visible="false">Data
                                </th>
                            </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- MODAL DE LINEA DE FACTURA -->
<div id="modal_factura_linea" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="mt-0 modal-title">Editar Linea de Factura</h4>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span>&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="editar_linea_id" value="">
                <input type="hidden" id="editar_linea_moneda" value="">
                <div class="fila-con-borde fila-resaltada">
                    <div class="row">
                        <div class="col-12 text-center">
                            <h4><a id="editar_linea_descripcion"></a></h4>
                        </div>
                    </div>
                </div>
                <div class="fila-con-borde">
                    <div class="row">
                        <div class="col-5 offset-1">
                            <h5>Cantidad</h5>
                        </div>
                        <div class="col-6 text-center">
                            <h5><a id="editar_linea_cantidad"></a></h5>
                            <input type="hidden" id="canart_editar" value="">
                        </div>
                    </div>
                </div>
                <div class="fila-con-borde">
                    <div class="row">
                        <div class="col-5 offset-1">
                            <h5>Coste</h5>
                        </div>
                        <div class="col-6 text-center">
                            <h5><a id="editar_linea_precio"></a></h5>
                            <input type="hidden" id="preart_editar" value="">
                            <input type="hidden" id="subtotal_editar" value="">
                        </div>
                    </div>
                </div>
                <div class="fila-con-borde">
                    <div class="row">
                        <div class="col-5 offset-1">
                            <h5>Descuento</h5>
                        </div>
                        <div class="col-6 text-center">
                            <h5><a id="editar_linea_descuento"></a></h5>
                            <input type="hidden" id="pordesart_editar" value="">
                            <input type="hidden" id="mondesart_editar" value="">
                        </div>
                    </div>
                </div>
                <div class="fila-con-borde">
                    <div class="row">
                        <div class="col-5 offset-1">
                            <h5>Impuesto</h5>
                        </div>
                        <div class="col-6 text-center">
                            <h5><a id="editar_linea_impuesto"></a></h5>
                            <input type="hidden" id="porimpart_editar" value="">
                            <input type="hidden" id="monimpart_editar" value="">
                            <input type="hidden" id="basimpart_editar" value="">
                        </div>
                    </div>
                </div>
                <div class="fila-con-borde fila-negra">
                    <div class="row">
                        <div class="col-5 offset-1">
                            <h4>SubTotal</h4>
                        </div>
                        <div class="col-6 text-center">
                            <h4><a id="editar_linea_subtotal"></a></h4>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-danger" type="button" data-dismiss="modal" aria-label="Close">
                    Cancelar
                </button>
                <button id="btnGuardarFacturaLinea" class="btn btn-primary" type="button">
                    Guardar
                </button>
            </div>
        </div>
    </div>
</div>

<!-- Modernizr-->
<script src="vendor/modernizr/modernizr.custom.js"></script>
<!-- PaceJS-->
<script src="vendor/pace/pace.min.js"></script>
<!-- jQuery-->
<script src="vendor/jquery/dist/jquery.js"></script>
<!-- jQuery Number-->
<script src="vendor/jquery-number/jquery.number.min.js"></script>
<!-- Bootstrap-->
<script src="vendor/popper.js/dist/umd/popper.min.js"></script>
<script src="vendor/bootstrap/dist/js/bootstrap.js"></script>
<!-- Material Colors-->
<script src="vendor/material-colors/dist/colors.js"></script>
<!-- Screenfull-->
<script src="vendor/screenfull/dist/screenfull.js"></script>
<!-- jQuery Localize
<script src="vendor/jquery-localize-i18n/dist/jquery.localize.js"></script>
<!-- Bootgrid-->
<script src="vendor/jquery.bootgrid/dist/jquery.bootgrid.js"></script>
<script src="vendor/jquery.bootgrid/dist/jquery.bootgrid.fa.js"></script>
<!-- Datepicker-->
<script src="vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<!-- Select2-->
<script src="vendor/select2/dist/js/select2.js"></script>
<!-- Clockpicker-->
<script src="vendor/clockpicker/dist/bootstrap-clockpicker.js"></script>
<!-- Range Slider-->
<script src="vendor/nouislider/distribute/nouislider.js"></script>
<!-- ColorPicker-->
<script src="vendor/mjolnic-bootstrap-colorpicker/dist/js/bootstrap-colorpicker.js"></script>
<!-- Multiselect-->
<script src="vendor/multiselect/js/jquery.multi-select.js"></script>
<!-- Sweet Alert-->
<script src="vendor/sweetalert/dist/sweetalert-dev.js"></script>
<!-- TOASTR-->
<script src="vendor/toastr/toastr.min.js"></script>
<!-- Xeditable-->
<script src="vendor/bootstrap3-editable/js/bootstrap-editable.js"></script>
<!-- Moment -->
<script src="vendor/moment-timezone/moment.min.js"></script>
<script src="vendor/moment-timezone/moment-timezone.js"></script>
<!-- App script-->
<script src="js/app.js"></script>
<!-- JS for this Page-->
<script type="text/javascript" src="js/compras.js"></script>

</body>
</html>